Bug 472706 - hal does not notice my data DVD
hal does not notice my data DVD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 17:47 EST by Muayyad Alsadi
Modified: 2009-12-18 01:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:55:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of some hal-related commands (15.28 KB, text/plain)
2008-11-23 17:47 EST, Muayyad Alsadi
no flags Details

  None (edit)
Description Muayyad Alsadi 2008-11-23 17:47:51 EST
Created attachment 324447 [details]
output of some hal-related commands

Description of problem:
I have inserted a single session DATA DVD
and gnome did not mount it and it still show CD-RW/DVD-RW (ie. no media)
but mounting it with mount /dev/sr0 /mnt/foo works
so I suspected a problem with hal

Version-Release number of selected component (if applicable):
hal-0.5.12-12.20081027git.fc10.i386

Additional info:
I tried to diff the outpuf of the following command before and after inserting my DVD:
dbus-send --system --print-reply --dest=org.freedesktop.Hal /org/freedesktop/Hal/Manager org.freedesktop.Hal.Manager.GetAllDevices

the only line differs is the first line (useless)
method return sender=:1.0 -> dest=:1.XX reply_serial=2

I attached the output of 
dbus-send --system --print-reply --dest=org.freedesktop.Hal /org/freedesktop/Hal/Manager org.freedesktop.Hal.Manager.GetAllDevices

dbus-send --system --print-reply --dest=org.freedesktop.Hal /org/freedesktop/Hal/devices/storage_model_DVDRAM_GH20NS10 org.freedesktop.Hal.Device.GetAllProperties
Comment 1 Muayyad Alsadi 2008-11-23 18:47:09 EST
when I restarted my computer while the DVD is there
hal see it!!

but If I eject the media and reinsert it, hal won't notice it

so here is the diff out put between the two commands (before and after ejecting it)

--- devices-dvdin-after-eject.txt	2008-11-24 01:41:39.000000000 +0200
+++ devices-dvdin.txt	2008-11-24 01:36:12.000000000 +0200
@@ -1,5 +1,6 @@
-method return sender=:1.0 -> dest=:1.76 reply_serial=2
+method return sender=:1.0 -> dest=:1.59 reply_serial=2
    array [
+      string "/org/freedesktop/Hal/devices/volume_label_MyLabel"
       string "/org/freedesktop/Hal/devices/net_aa_19_24_7e_09_b8"
       string "/org/freedesktop/Hal/devices/volume_uuid_4bc71d36_6b82_4422_b54d_a35785e51b8b"
       string "/org/freedesktop/Hal/devices/volume_uuid_B4BC41F3BC41B122"
--- dvd-in-after-eject.txt	2008-11-24 01:41:22.000000000 +0200
+++ dvd-in.txt	2008-11-24 01:35:12.000000000 +0200
@@ -1,4 +1,4 @@
-method return sender=:1.0 -> dest=:1.75 reply_serial=2
+method return sender=:1.0 -> dest=:1.69 reply_serial=2
    array [
       dict entry(
          string "storage.no_partitions_hint"
@@ -109,10 +109,6 @@
          variant             string "/org/freedesktop/Hal/devices/computer"
       )
       dict entry(
-         string "storage.partitioning_scheme"
-         variant             string ""
-      )
-      dict entry(
          string "storage.removable.media_available"
          variant             boolean true
       )
Comment 2 Bug Zapper 2008-11-26 00:49:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 John Schmitt 2009-03-18 20:18:15 EDT
I get this kind of thing in /var/log/messages when I see this problem:
Mar 10 22:03:57 mediapc kernel: sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
Mar 10 22:03:57 mediapc kernel: sr 6:0:0:0: [sr0] Sense Key : Hardware Error [current] 
Mar 10 22:03:57 mediapc kernel: sr 6:0:0:0: [sr0] Add. Sense: Timeout on logical unit
Mar 10 22:03:57 mediapc kernel: end_request: I/O error, dev sr0, sector 0
Mar 10 22:03:57 mediapc kernel: Buffer I/O error on device sr0, logical block 0
Mar 10 22:03:57 mediapc kernel: Buffer I/O error on device sr0, logical block 1
Mar 10 22:03:57 mediapc kernel: Buffer I/O error on device sr0, logical block 2
Mar 10 22:03:57 mediapc kernel: Buffer I/O error on device sr0, logical block 3
Mar 10 22:13:48 mediapc ntpd[2610]: kernel time sync status change 4001
Mar 10 22:30:52 mediapc ntpd[2610]: kernel time sync status change 0001
Mar 10 22:44:32 mediapc kernel: sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
Mar 10 22:44:32 mediapc kernel: sr 6:0:0:0: [sr0] Sense Key : Hardware Error [current] 
Mar 10 22:44:32 mediapc kernel: sr 6:0:0:0: [sr0] Add. Sense: Timeout on logical unit
Mar 10 22:44:32 mediapc kernel: end_request: I/O error, dev sr0, sector 2009944
Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251243Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251244
Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251245Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251246
Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251247
Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251248
Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251249
Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251250
Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251251
Mar 10 22:44:32 mediapc kernel: Buffer I/O error on device sr0, logical block 251252

Do you see this?
NOTE!  This seems to occur only when I eject and then re-insert the DVD.  The first time I insert the DVD, it seems to play fine.
Comment 4 Scott Glaser 2009-09-09 08:22:33 EDT
Have you tried with the latest hal package in Fedora 10, Fedora 11 or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2009-11-18 03:56:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:55:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.